<?php
add_action( 'wp_enqueue_scripts', 'dp_enqueue_styles' );
function dp_enqueue_styles() {
    wp_enqueue_style( 'dp-style', get_template_directory_uri() . '/style.css' );
}

// Preloader Code Header
add_action('et_after_main_content', 'dp_preloader');
function dp_preloader() {
?>
	<!-- Preloader -->
	<div class="dp_preloader">
		<div class="dp_loader_icon">&nbsp;</div>
	</div>
	<style>
	.dp_preloader {position: fixed;top: 0;left: 0;right: 0;bottom: 0;background-color: #fefefe;z-index: 999999;height: 100%;width: 100%;overflow: hidden !important;}
	.dp_preloader .dp_loader_icon {position: absolute;left: 50%;top: 50%;background-repeat: no-repeat;background-position: center;-webkit-background-size: cover;background-size: cover;background-image: url(<?php echo get_stylesheet_directory_uri();?>/images/dploader.gif);width: 160px;height: 24px;margin: 0px 0 0 -65px;}
	</style>
<?php 
}
// Preloader Code Footer
add_action('wp_footer', 'dp_preloader_css');
function dp_preloader_css() {
?>
	<script type="text/javascript">
		jQuery(window).load(function(){	
			if(  jQuery( '.et-bfb' ).length <= 0 && jQuery( '.et-fb' ).length <= 0  ){ 
				jQuery('.dp_loader_icon').fadeOut('slow'); 
				jQuery('.dp_preloader').delay(650).fadeOut('slow'); 
			}
		})
	</script>
<?php
}
?>